composer regression - expressions in text items are not evaluated
Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17945

Description

Expressions in text items (like writting current date) are no more evaluated in composer. Expression builder do evaluate correctly the

expressions, but when inserted, only expression formula is displayed.

Associated revisions

Revision 2e4fbc21 - 2014-01-22 07:56 AM - Nyall Dawson

[composer] Always evaluate label expressions (fix #9342)

History

#1 - 2014-01-15 01:14 AM - Nyall Dawson

- Assignee set to Nyall Dawson

This was a consequence of the new atlas preview mode. I realise now I've forgotten to take into account the fact that expressions can be used for non-atlas

uses too, so they need to be evaluated even when atlas preview isn't switched on. I'll fix.

#2 - 2014-01-15 02:55 AM - Regis Haubourg

Ok!, BTW all you did in composer is just great in production use!

#3 - 2014-01-15 02:56 AM - Regis Haubourg

Oh, just forgot, shouldn't we add some unit test to avoid such important regressions?

#4 - 2014-01-21 11:42 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"2e4fbc21a62129e62b0702f9e87f5dd86809c710".
